<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
//$amostraLong=$sessao->getVar('amostraLong');
//$inicio=168;
//$final=169;

//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
			 
			 //aqui vai imprimir todas as fichas solicitadas
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);





					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=270;  

				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 //linha vertical a direita do timbre
					 $pdf->Image('Imagens/rq5qualitestefinal.jpg',11,6,195.2,237,'JPG');//vai dentro de projeto28php/Imagens

					 
				     ################IDENTIFICACAO DA AMOSTRA######################
				 	 $cota2=25;
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 //$pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				     $largo1=95;           
				     $largo2=95; 
					 $pdf->SetFont('Arial','B',10);			 	           
                     //imprime a amostra
					 $pdf->SetXY(29,$cota2+4);
					 $pdf->Cell($largo1,5,$vetorCapturaGeral[1],0,0,'L'); 

					 //imprime a procedencia
					 $pdf->SetFont('Arial','',10);
					 $pdf->SetXY(70,$cota2-6);
					 $pdf->Cell(40,5,$vetorCapturaGeral[58],0,0,'L'); 
					 //imprime a especie
					 $pdf->Cell(60,5,$vetorCapturaGeral[32],0,0,'L'); 

					 //imprime a CULTIVAR
					 $pdf->SetXY(21,$cota2);
					 $pdf->Cell(75,5,$vetorCapturaGeral[31],0,0,'L'); 
					 //imprime lote
					 $pdf->Cell(60,5,$vetorCapturaGeral[2],0,0,'L'); 
					 //imprime a peneira
					 $pdf->Cell(60,5,$vetorCapturaGeral[35],0,0,'L'); 

    


/*



					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,5,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell($largo1,4.5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');$pdf->Cell($largo2,4.5,'Cultivar:'.$vetorCapturaGeral[31],0,1,'L');
					 $pdf->Cell($largo1,4.5,'Safra:'.$vetorCapturaGeral[34],0,0,'L');$pdf->Cell($largo2,4.5,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
					 $pdf->Cell($largo1,4.5,'Requerente:'.utf8_decode($vetorCapturaGeral[42]),0,0,'L');$pdf->Cell($largo2,4.5,utf8_decode('Função:'.$vetorCapturaGeral[43]),0,1,'L');
					 $pdf->Cell(194,4.5,'Testes a realizar:'.$vetorCapturaGeral[44],0,0,'L');	
					 ##############cria setor de purezaaaa###############################################3
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				     $altura=4.5;
					 $cota3a=$cota3+1*4.5;
					 $cota3b=$cota3+2*4.5;
					 $cota3c=$cota3+3*4.5;
					 $cota3d=$cota3+4*4.5;
					 $cota3e=$cota3+5*4.5;
					 $cota3f=$cota3+6*4.5;
					 $cota3g=$cota3+7*4.5;
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
				         //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota3a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$posicaoMeio,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$posicaoMeio,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$posicaoMeio,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$posicaoMeio,$cota3f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 $avancoColuna1=35;
					 $avancoColuna2=52;
					 $avancoColuna3=64;
					 $avancoColuna4=76;
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em ').$vetorCapturaGeral[46].'g)',1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaox3,$cota3a);$pdf->Cell(7,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox4,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte',0,0,'C');
					 //--------------------------------------------------
					 $pdf->SetXY($margemEsquerda,$cota3b); $pdf->Cell(50,4.5,'Amostra de trabalho',0,0,'L');
					 $pdf->SetXY($margemEsquerda+$avancoColuna1,$cota3b); $pdf->Cell(50,4.5,$vetorCapturaGeral[45],0,0,'L');
					 $pdf->SetXY($margemEsquerda+100,$cota3b); $pdf->Cell(50,4.5,$vetorCapturaGeral[19],0,0,'L');
					 
					 
					 //--------------------------------------------------
					 $pdf->SetXY($margemEsquerda,$cota3c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');
					 $pdf->SetXY($margemEsquerda+$avancoColuna1,$cota3c); $pdf->Cell(50,4.5,$vetorCapturaGeral[46],0,0,'L');
					 $pdf->SetXY($margemEsquerda+$avancoColuna2,$cota3c); $pdf->Cell(50,4.5,$vetorCapturaGeral[4],0,0,'L');
					 //--------------------------------------------------
					 $pdf->SetXY($margemEsquerda,$cota3d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda+$avancoColuna1,$cota3d); $pdf->Cell(50,4.5,$vetorCapturaGeral[47],0,0,'L');
					 $pdf->SetXY($margemEsquerda+$avancoColuna2,$cota3d); $pdf->Cell(50,4.5,$vetorCapturaGeral[18],0,0,'L');
					 //--------------------------------------------------
					 
					 $pdf->SetXY($margemEsquerda,$cota3e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda+$avancoColuna1,$cota3e); $pdf->Cell(50,4.5,$vetorCapturaGeral[48],0,0,'L');
					 $pdf->SetXY($margemEsquerda+$avancoColuna2,$cota3e); $pdf->Cell(50,4.5,$vetorCapturaGeral[17],0,0,'L');
					 //--------------------------------------------------
					 
					 $pdf->SetXY($margemEsquerda,$cota3f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em ').$vetorCapturaGeral[49].'g)',1,1,'L',1);	
					    
					  
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em ').$vetorCapturaGeral[50].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIVADAS',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
					 
					 //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);
				     ################inicio da parte de GERMINACAO########################################
				         $umQuarto=48.5;
				         $cota5a=$cota5+1*4.5;
				         $cota5b=$cota5+2*4.5;
				         $cota5c=$cota5+3*4.5;
				         $cota5d=$cota5+4*4.5;
				         $cota5e=$cota5+5*4.5;
				         $posicaoMeio=97; 
                     //aqui vai despejar as silvestres, outras especies, toleradas e as proibidas
					 $pdf->SetFont('Arial','I',10);					 
                     //SILVESTRES					 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('2SIL',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=3+$cota4b+$incremento*4;
					     $pdf->setXY($margemEsquerda,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
                     //OESP					 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('1OES',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=3+$cota4b+$incremento*4;
					     $pdf->setXY($margemEsquerda+$largura1,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
                     //NOCIVA TOLERADA				 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('3NOT',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=7+$cota4b+$incremento*4;
					     $pdf->setXY($posicao2,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;

                     //NOCIVA proibida				 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('4NOP',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=7+$cota4b+$incremento*4;
					     $pdf->setXY($posicao2+$largura1,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
//aqui vai colocar as leituras e os valores de germinacao
$nomeTeste="GERM";
$rean = new rean1();
	$rean->extras_select =" where  rea_teste='".$nomeTeste."' AND rea_ficha=".$amostraLong ;
    $rean->selecionaTudo($rean);
	$contador=0;
	while ($resRean = $rean->retornaDados()):
	    $contador++;
		$reanLong=$resRean->rea_id;
        $vetorMontado[3]=$resRean->rea_datainicio;
        $vetorMontado[4]=$resRean->rea_duracao;
        $vetorMontado[5]=date("d/m/Y",strtotime($resRean->rea_datageralteste));
        $vetorMontado[6]=$resRean->rea_campo60a;//tratamento
		$vetorMontado[7]=$resRean->rea_campo60b;//substrato
		$vetorMontado[8]=$resRean->rea_campo20b;//germinador
		$vetorMontado[9]=$resRean->rea_campo20a;//temperatura
		$vetorMontado[10]=$resRean->rea_campo60c;//fungos
		$vetorMontado[11]=$resRean->rea_operador;
		$vetorMontado[12]=$resRean->rea_campo100;
		$vetorMontado[13]=$resRean->rea_validade;
		$vetorMontado[14]=$resRean->rea_v1;
		$vetorMontado[15]=$resRean->rea_v2;
		$vetorMontado[16]=$resRean->rea_v3;
		$vetorMontado[17]=$resRean->rea_v4;
		$vetorMontado[18]=$resRean->rea_v5;
		
	    $repeticao=$resRean->rea_lei4;
       // echo("rrrrrrrrrrrrrrrepeticao= $repeticao<br>"); 

		//$vetorMontado[15]=$reanLong;
        //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_lei1);
    endwhile;




                     //outros dados
					 $pdf->SetFont('Arial','',10);					 
					 $pdf->setXY($margemEsquerda,$cota5);
					 $pdf->cell($posicaoMeio,4.5,'TESTE DE GERMINACAO(I)',1,0,'C',1);
					 $pdf->cell($posicaoMeio,4.5,'TESTE DE GERMINACAO(II)',1,0,'C',1);

					 $pdf->setXY($margemEsquerda,$cota5a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Concluído:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5b);
					 $pdf->cell($umQuarto,4.5,'Tratamento:'.$vetorMontado[6],1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota5d);
					 $pdf->cell($umQuarto,4.5,'Substrato:'.$vetorMontado[7],1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
 
					 $pdf->setXY($margemEsquerda,$cota5e);
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
					 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha horizontal abaixo da grade do teste pureza
				         $largo[1]=20;
					 $larguraMenor=9.6;
					 for($i=2;$i<=9;$i++)
					 {
					         $largo[$i]=$larguraMenor;
						 $largo[$i+9]=$larguraMenor;
				         }		  
					 $largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";$vetor[1][6]="E";$vetor[1][7]="F";$vetor[1][8]="G";$vetor[1][9]="H";
					 $vetor[1][11]="A";$vetor[1][12]="B";$vetor[1][13]="C";$vetor[1][14]="D";$vetor[1][15]="E";$vetor[1][16]="F";$vetor[1][17]="G";$vetor[1][18]="H";
					 $vetor[2][1]=$vetor[2][10]="Normais:".$vetorMontado[14];
					 $vetor[7][1]=$vetor[7][10]="Def;".$vetorMontado[15];
					 $vetor[12][1]=$vetor[12][10]="Inf.";
					 $vetor[17][1]=$vetor[17][10]="Mortas".$vetorMontado[18];
					 $vetor[20][1]=$vetor[20][10]="Duras".$vetorMontado[16];
					 $vetor[22][1]=$vetor[22][10]="Dormentes".$vetorMontado[17];
					 $colunas=18;
					 $linhas=23;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 for($i=1;$i<=$colunas;$i++)$finalHorizontal+=$largo[$i];
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $pdf->SetLineWidth($fino);
				         $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
				        	 for($i=1;$i<=$colunas;$i++)
						 {
					    		 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
					         }
				             $linhaCalculada+=4.5;
				         }
				         //linhas horizontais
				         $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
				             $pdf->Line($margemEsquerda,$linhaCalculada,$finalHorizontal,$linhaCalculada);// linha vertical
					     $linhaCalculada+=4.5;
				         }

					 //LINHAS VETICAIS	 
					 for($i=1;$i<=$colunas;$i++)
					 {
						 $posicao+=$largo[$i];
						 $pdf->Line($posicao,$cota7,$posicao,$cota8);// linha vertical
					 }

//PEGA AS LEITURAS
		//aqui a bre a tabela leituras e le os registros montando o array v160///////////////////////
		$user = new leituras();
		$user->extras_select =" where  lei_rean=".$reanLong;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
			$numLinha=23;
			$gravado=$res->lei_leitura;
			//if ($contador<5)echo("valor lido=$gravado<br>");
			$linha=substr($gravado,1,2);
			$coluna=substr($gravado,4,2);
			$valorRecuperado=substr($gravado,7);
			if($linha=="01")$numLinha=1;
			if($linha=="02")$numLinha=2;
			if($linha=="03")$numLinha=3;
			if($linha=="04")$numLinha=4;
			//deformadas	
			if($linha=="05")$numLinha=6;

			//dormentes	perfeito
			if($linha=="09")$numLinha=11;

			//mortasx
			if($linha=="13")$numLinha=16;

			//dormentes
			if($linha=="15")$numLinha=21;
			
			//duras
			if($linha=="14")$numLinha=19;
			
			//ORGANIZA AS COLUNAS
			if($coluna=="01")$numColuna=1;
			if($coluna=="02")$numColuna=2;
			if($coluna=="03")$numColuna=3;
			if($coluna=="04")$numColuna=4;
			if($coluna=="05")$numColuna=5;
			if($coluna=="06")$numColuna=6;
			if($coluna=="07")$numColuna=7;
			if($coluna=="08")$numColuna=8;

			$v160[$numLinha][$numColuna]=$valorRecuperado;
			//$v160[7][6]=$linha."=".$coluna;
			//if($valorRecuperado>0)$pescador=$linha.$valorRecuperado."k";
			//if($coluna>$maior)$maior=$coluna;
        endwhile;
//aqui captura a diferenca
for($j=1;$j<=8;$j++):
  $base= $v160[1][$j];
  $soma=0;
  for($i=2;$i<=22;$i++):
    $soma+=$v160[$i][$j];
  endfor; 
  $v160[1][$j]=$base-$soma;
endfor;


$cotaGE=157.5;
//$v160[1][1]=$reanLong;
//$v160[15][4]=154;
for($i=0;$i<=22;$i++):
  $pdf->setXY(30,$cotaGE+$i*4.5);
  for($j=1;$j<=8;$j++):
    $pdf->Cell(9.5,4.5,$v160[$i][$j],1,0,'C');
  endfor; 

endfor;









					 
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(100,5,utf8_decode('Outras determinações:'),0,1,'L');	 
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode('Responsável técnico:'.$pdf->vetorTecnico[0]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(20,4,'SilasNet',1,1,'L');	 
*/
endfor;	//impprimir varias fichas		 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
?>
